Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 613822 - Missing and wrong hotspot.* probepoint arguments
Missing and wrong hotspot.* probepoint arguments
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 616050 653998
  Show dependency treegraph
 
Reported: 2010-07-12 17:32 EDT by William Cohen
Modified: 2011-06-29 09:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 613824 (view as bug list)
Environment:
Last Closed: 2011-06-29 09:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2010-07-12 17:32:45 EDT
Description of problem:

When attempting to use some of the variable avialable in the hotspot tapset found that some of the arguments were not available.

Version-Release number of selected component (if applicable):

systemtap-1.2-1.fc13.x86_64
java-1.6.0-openjdk-1.6.0.0-41.b18.fc13.x86_64
java-1.6.0-openjdk-devel-1.6.0.0-41.b18.fc13.x86_64
java-1.6.0-openjdk-debuginfo-1.6.0.0-41.b18.fc13.x86_64


How reproducible:

everytime

Steps to Reproduce:
1. Install  systemtap java-1.6.0-openjdk  java-1.6.0-openjdk-devel    java-1.6.0-openjdk-debuginfo
2. stap -L 'hotspot.*' > /dev/null
3. See the messages in the "actual results" section
  
Actual results:

semantic error: not accessible at this address (0x515136): identifier '$arg2' at /usr/share/systemtap/tapset/x86_64/hotspot.stp:438:32
        source:   class = user_string_n($arg1, $arg2);
                                               ^
semantic error: not accessible at this address (0x515136): identifier '$arg6' at :440:30
        source:   sig = user_string_n($arg5, $arg6);
                                             ^
semantic error: failed to retrieve location attribute for local 'arg8' (dieoffset: 0x3c5adc0): identifier '$arg8' at :442:10
        source:   size = $arg8;
                         ^
semantic error: not accessible at this address (0x5170b7): identifier '$arg2' at :456:32
        source:   class = user_string_n($arg1, $arg2);
                    

Expected results:

All the probe point arguments available in the hotspot tapset should be available. There shouldn't be any "semantic error" messages.


Additional info:

The probe hotspot.object_alloc has:

 size = $arg3;

that should be $arg4 for size according to http://java.sun.com/javase/6/docs/technotes/guides/vm/dtrace.html. However, when this is corrected get:

semantic error: not accessible at this address (0x59d460): identifier '$arg4' at :117:10
        source:   size = $arg4;
                         ^
Comment 1 Frank Ch. Eigler 2010-07-12 19:26:41 EDT
dbhole can't necessarily fix the 'not accessible at this address' kinds of notes, which are artefacts of gcc debuginfo generation.  Consider copying this bug into a gcc/vta one (and include .i / CFLAGS) for the affected object file.
Comment 2 Mark Wielaard 2010-07-13 05:59:57 EDT
(In reply to comment #0)
> Additional info:
> 
> The probe hotspot.object_alloc has:
> 
>  size = $arg3;
> 
> that should be $arg4 for size

Oops. That is an embarrassing typo in the tapset. Fixed upstream with:

changeset:   2167:bd9b46091cd7
tag:         tip
user:        Mark Wielaard <mark@klomp.org>
date:        Tue Jul 13 11:46:10 2010 +0200
files:       ChangeLog tapset/hotspot.stp.in
description:
Fix hotspot tapset object_alloc size variable.

        Reported by William Cohen <wcohen@redhat.com>
        * tapset/hotspot.stp.in (object_alloc): size is arg4, not arg3.

For the variables not accessible it would indeed be nice to get access to the affected object files. These probes (compiled_method_load, compiled_method_unload) are both in hotspot/src/share/vm/code/nmethod.cpp
Comment 3 Bug Zapper 2011-06-01 10:06:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:37:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.